Realtek [10ec:c82f] Subsystem [17aa:c02f] Wifi adapter not found

Bug #1886247 reported by Christian on 2020-07-04
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Critical
AaronMa
Focal
Undecided
Unassigned
linux-oem-5.6 (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

SRU justification:
[Impact]
New realtek wifi card ID found on ThinkCentre.
No driver is loaded to support it.

[Fix]
This wifi card is very similar as 0xc822 in rtw88.

[Test]
Verified on hardware, link status is OK, iperf test result is good.

[Regression Potential]
Low.
Add new ID to supported driver.
Test on hw, double confirmed by LP bugs.
This patch is backported from original link due to the 5.8-rc1 driver
file path changed, no function changed.

Maintainer had merged:
https://github.com/lwfinger/rtlwifi_new/commit/b76b895a90f1168c5223849562fd6e1196b2c351
This git repo is moving by maintainer, not availible by now.
=================================================================================

01:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device c82f

Looking for a working solution on a fresh install (USB BOOT) of Ubuntu. A work-around helped, for a while, but I would really like to disconnect my Wifi Dongel and use my brand new laptop!

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: linux-image-5.4.0-40-generic 5.4.0-40.44
ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
Uname: Linux 5.4.0-40-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: christian 1277 F.... pulseaudio
 /dev/snd/pcmC0D0c: christian 1277 F...m pulseaudio
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
Date: Sat Jul 4 07:58:06 2020
InstallationDate: Installed on 2020-06-28 (5 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
MachineType: LENOVO 81W8
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic root=UUID=f610713f-73ad-468c-8a69-9a47b385acab ro quiet splash i8042.nopnp=1 pci=nocrs vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-40-generic N/A
 linux-backports-modules-5.4.0-40-generic N/A
 linux-firmware 1.187.1
SourcePackage: linux
StagingDrivers: r8712u
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 03/04/2020
dmi.bios.vendor: LENOVO
dmi.bios.version: DKCN26WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: SDK0R32866 WIN
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo IdeaPad S145-15IIL
dmi.modalias: dmi:bvnLENOVO:bvrDKCN26WW:bd03/04/2020:svnLENOVO:pn81W8:pvrLenovoIdeaPadS145-15IIL:rvnLENOVO:rnLNVNB161216:rvrSDK0R32866WIN:cvnLENOVO:ct10:cvrLenovoIdeaPadS145-15IIL:
dmi.product.family: IdeaPad S145-15IIL
dmi.product.name: 81W8
dmi.product.sku: LENOVO_MT_81W8_BU_idea_FM_IdeaPad S145-15IIL
dmi.product.version: Lenovo IdeaPad S145-15IIL
dmi.sys.vendor: LENOVO

CVE References

Christian (ceefour77) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Download full text (3.2 KiB)

Dear Daniel,

Thank you for your fast reply! I'm glad I'm able to install Ubuntu on a laptop (to enhance the perspective of my knowledge and programming skills).
But: I've managed a working c82f before, through the forum, so I'm willing to give this a go!
When an update of the kernel, as you mentioned, is there, I hope I will recognize the fix. Kudos for everyone who's busy fixing the Lenovo / Realtek issue!!

Kind regards,
Christian.

On Jul 5 2020, at 7:04 am, Daniel Letzeisen <email address hidden> wrote:
> You may need to build your own rtw88 module from: https://github.com/lwfinger/rtlwifi_new/tree/rtw88
> ... until this change is included in upstream kernel: https://github.com/lwfinger/rtlwifi_new/commit/b76b895a90f1168c5223849562fd6e1196b2c351
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1886247
>
> Title:
> Wifi adapter not found: Device c82f
>
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> 01:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device
> c82f
>
> Looking for a working solution on a fresh install (USB BOOT) of
> Ubuntu. A work-around helped, for a while, but I would really like to
> disconnect my Wifi Dongel and use my brand new laptop!
>
> ProblemType: Bug
> DistroRelease: Ubuntu 20.04
> Package: linux-image-5.4.0-40-generic 5.4.0-40.44
> ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
> Uname: Linux 5.4.0-40-generic x86_64
> ApportVersion: 2.20.11-0ubuntu27.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: christian 1277 F.... pulseaudio
> /dev/snd/pcmC0D0c: christian 1277 F...m pulseaudio
> CasperMD5CheckResult: skip
> CurrentDesktop: ubuntu:GNOME
> Date: Sat Jul 4 07:58:06 2020
> InstallationDate: Installed on 2020-06-28 (5 days ago)
> InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
> MachineType: LENOVO 81W8
> ProcFB: 0 i915drmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic root=UUID=f610713f-73ad-468c-8a69-9a47b385acab ro quiet splash i8042.nopnp=1 pci=nocrs vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-5.4.0-40-generic N/A
> linux-backports-modules-5.4.0-40-generic N/A
> linux-firmware 1.187.1
> SourcePackage: linux
> StagingDrivers: r8712u
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 03/04/2020
> dmi.bios.vendor: LENOVO
> dmi.bios.version: DKCN26WW
> dmi.board.asset.tag: NO Asset Tag
> dmi.board.name: LNVNB161216
> dmi.board.vendor: LENOVO
> dmi.board.version: SDK0R32866 WIN
> dmi.chassis.asset.tag: NO Asset Tag
> dmi.chassis.type: 10
> dmi.chassis.vendor: LENOVO
> dmi.chassis.version: Lenovo IdeaPad S145-15IIL
> dmi.modalias: dmi:bvnLENOVO:bvrDKCN26WW:bd03/04/2020:svnLENOVO:pn81W8:pvrLenovoIdeaPadS145-15IIL:rvnLENOVO:rnLNVNB161216:rvrSDK0R32866WIN:cvnLENOVO:ct10:cvrLenovoIdeaPadS145-15IIL:
> dmi.product.family: IdeaPad S145-15IIL
> dmi.product.name: 81W8
> dmi.product.sku: LENOVO_MT_81W8_BU_idea_FM_IdeaPad S145-15IIL
> dmi.product.version: Lenovo IdeaPad S145-15IIL
> dmi.sys.vendor: LENOVO
>
> To manage notifications about this bug go to:
> htt...

Read more...

An update: I've followed the instructions mentioned in github and got the Realtek wifi to work. A clear walk-through on how to get it working again. Thanks for a helpfull link!

Still difficult to comprehend, that a little thing like a wlan controller can cause so much discomfort. Hoping for a fix so Realtek will be included next time.

You-Sheng Yang (vicamo) on 2020-07-06
tags: added: hwe-networking-wifi
summary: - Wifi adapter not found: Device c82f
+ Realtek [10ec:c82f] Subsystem [17aa:c02f] Wifi adapter not found
You-Sheng Yang (vicamo) wrote :

Device ID being upstreamed: https://<email address hidden>/ . So probably this is a duplicate of some existing bug?

AaronMa (mapengyu) wrote :

Since the commit is in maintainer's tree, I will SRU it to Ubuntu kernel.

Changed in linux (Ubuntu):
assignee: nobody → AaronMa (mapengyu)
importance: Undecided → Critical
Christian (ceefour77) wrote :

Dear all,

Thank you for your help. Sadly after the last Ubuntu update the settings changed, so I'm stuck with my wlan-dongle again.

Previously provided links from Daniel (Github) are 404. The (old) README stated:

When your kernel changes, then you need to do the following:
```bash
cd ~/rtlwifi_new
git pull
make
sudo make install
```

Remember, this MUST be done whenever you get a new kernel - no exceptions.

-------------------------------------------------------------------------------------------
But with git pull, I get:

Username for 'https://github.com': C*****7
Password for 'https://C***<email address hidden>':
remote: Repository not found.
fatal: repository 'https://github.com/lwfinger/rtlwifi_new.git/' not found

------------------------------------------------------------------------------------------

You will probably understand what the problem is straight away, but to me it is clear as mud.

Thanks for any advice or any working fix! And thank God for my wlan-dongle!!!

Kind regards,
Christian.

You-Sheng Yang (vicamo) wrote :

@Christian, that (comment #7) means Aaron is to help back porting the fix to Ubuntu kernel, so that you'll have the driver out of box without additional action taken.

Before that, you may want to try my PPA in https://launchpad.net/~vicamo/+archive/ubuntu/ppa-1886247 . It's still compiling kernels, and it may take up to 10 hours or so. When it's done, you just:

  $ sudo add-apt-repository ppa:vicamo/ppa-1886247
  $ sudo apt install \
      linux-modules-extra-5.4.0-41-generic=5.4.0-41.45+lp1886247 \
      linux-headers-5.4.0-41-generic=5.4.0-41.45+lp1886247

AaronMa (mapengyu) on 2020-07-07
description: updated
Daniel Letzeisen (dtl131) wrote :

For some reason, the repo moved to: https://github.com/lwfinger/rtw88

Timo Aaltonen (tjaalton) on 2020-07-08
Changed in linux-oem-5.6 (Ubuntu Focal):
status: New → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Christian (ceefour77) wrote :

Please tell me how to best test the kernel, and report the findings.

I've enabled -proposed and ran and update/upgrade all but 3 packages were installed.
(sudo apt list --upgradable):
linux-generic-hwe-20.04/focal-proposed 5.4.0.42.45 amd64 [upgradable from: 5.4.0.41.44]
linux-headers-generic-hwe-20.04/focal-proposed 5.4.0.42.45 amd64 [upgradable from: 5.4.0.41.44]
linux-image-generic-hwe-20.04/focal-proposed 5.4.0.42.45 amd64 [upgradable from: 5.4.0.41.44]

So: I'll be happy to test and report back, just tell me how to test/verify and I'll do so.

Daniel Letzeisen (dtl131) wrote :

It looks like the change was only made in the OEM kernel for now:
sudo apt-get install linux-oem-20.04

linux-oem-5.6 (5.6.0-1020.20) focal; urgency=medium

  * focal/linux-oem-5.6: 5.6.0-1020.20 -proposed tracker (LP: #1886753)

  * Realtek [10ec:c82f] Subsystem [17aa:c02f] Wifi adapter not found
    (LP: #1886247)
    - SAUCE: rtw88: 8822ce: add support for device ID 0xc82f

You-Sheng Yang (vicamo) wrote :

Verified 5.6.0-1020-oem:

  $ modinfo ./lib/modules/5.6.0-1020-oem/kernel/drivers/net/wireless/realtek/rtw88/rtwpci.ko | grep ^alias:
  alias: pci:v000010ECd0000D723sv*sd*bc*sc*i*
  alias: pci:v000010ECd0000C82Fsv*sd*bc*sc*i*
  alias: pci:v000010ECd0000C822sv*sd*bc*sc*i*
  alias: pci:v000010ECd0000B822sv*sd*bc*sc*i*

tags: added: verification-done-focal
removed: verification-needed-focal
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Focal):
status: New → Confirmed
Changed in linux-oem-5.6 (Ubuntu):
status: New → Confirmed

When will the fix be released?

AaronMa (mapengyu) wrote :

For 20.04 focal 5.4 kernel. it should be in this SRU cycle released on 10 Aug.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.6 - 5.6.0-1020.20

---------------
linux-oem-5.6 (5.6.0-1020.20) focal; urgency=medium

  * focal/linux-oem-5.6: 5.6.0-1020.20 -proposed tracker (LP: #1886753)

  * Realtek [10ec:c82f] Subsystem [17aa:c02f] Wifi adapter not found
    (LP: #1886247)
    - SAUCE: rtw88: 8822ce: add support for device ID 0xc82f

  * [WD19TB] external DP failed with DRM error message (LP: #1886165)
    - drm/i915/tgl: Update TC DP vswing table
    - drm/i915/tgl: Implement WA_16011163337
    - SAUCE: drm/i915/bios: add intel_bios_hdmi_level_shift()
    - drm/i915/tgl: Add HBR and HBR2+ voltage swing table
    - drm/i915/dc3co: Avoid full modeset when EXITLINE needs to be changed
    - drm/i915/tgl+: Use the correct DP_TP_* register instances in MST encoders
    - drm/i915/tgl+: Fix TBT DPLL fractional divider for 38.4MHz ref clock

  * ubuntu_aufs_smoke_test failed on Focal OEM 5.6 (LP: #1879308)
    - SAUCE: fs: Enable aufs

 -- Timo Aaltonen <email address hidden> Wed, 08 Jul 2020 11:44:53 +0300

Changed in linux-oem-5.6 (Ubuntu Focal):
status: Fix Committed → Fix Released
Christian (ceefour77) wrote :

The OEM update fixed the issue, thanks!!!

No more using my dongle, so I'm very pleased with the result.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.6 - 5.6.0-1020.20

---------------
linux-oem-5.6 (5.6.0-1020.20) focal; urgency=medium

  * focal/linux-oem-5.6: 5.6.0-1020.20 -proposed tracker (LP: #1886753)

  * Realtek [10ec:c82f] Subsystem [17aa:c02f] Wifi adapter not found
    (LP: #1886247)
    - SAUCE: rtw88: 8822ce: add support for device ID 0xc82f

  * [WD19TB] external DP failed with DRM error message (LP: #1886165)
    - drm/i915/tgl: Update TC DP vswing table
    - drm/i915/tgl: Implement WA_16011163337
    - SAUCE: drm/i915/bios: add intel_bios_hdmi_level_shift()
    - drm/i915/tgl: Add HBR and HBR2+ voltage swing table
    - drm/i915/dc3co: Avoid full modeset when EXITLINE needs to be changed
    - drm/i915/tgl+: Use the correct DP_TP_* register instances in MST encoders
    - drm/i915/tgl+: Fix TBT DPLL fractional divider for 38.4MHz ref clock

  * ubuntu_aufs_smoke_test failed on Focal OEM 5.6 (LP: #1879308)
    - SAUCE: fs: Enable aufs

 -- Timo Aaltonen <email address hidden> Wed, 08 Jul 2020 11:44:53 +0300

Changed in linux-oem-5.6 (Ubuntu):
status: Confirmed → Fix Released
Ian (ian-may) on 2020-08-20
Changed in linux (Ubuntu Focal):
status: Confirmed → Fix Committed
AaronMa (mapengyu) on 2020-08-24
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (42.6 KiB)

This bug was fixed in the package linux - 5.4.0-48.52

---------------
linux (5.4.0-48.52) focal; urgency=medium

  * focal/linux: 5.4.0-48.52 -proposed tracker (LP: #1894654)

  * mm/slub kernel oops on focal kernel 5.4.0-45 (LP: #1895109)
    - SAUCE: Revert "mm/slub: fix a memory leak in sysfs_slab_add()"

  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions

  * Introduce the new NVIDIA 450-server and the 450 UDA series (LP: #1887674)
    - [packaging] add signed modules for nvidia 450 and 450-server

  * [UBUNTU 20.04] zPCI attach/detach issues with PF/VF linking support
    (LP: #1892849)
    - s390/pci: fix zpci_bus_link_virtfn()
    - s390/pci: re-introduce zpci_remove_device()
    - s390/pci: fix PF/VF linking on hot plug

  * [UBUNTU 20.04] kernel: s390/cpum_cf,perf: changeDFLT_CCERROR counter name
    (LP: #1891454)
    - s390/cpum_cf, perf: change DFLT_CCERROR counter name

  * [UBUNTU 20.04] zPCI: Enabling of a reserved PCI function regression
    introduced by multi-function support (LP: #1891437)
    - s390/pci: fix enabling a reserved PCI function

  * CVE-2020-12888
    - vfio/type1: Support faulting PFNMAP vmas
    - vfio-pci: Fault mmaps to enable vma tracking
    - vfio-pci: Invalidate mmaps and block MMIO access on disabled memory

  * [Hyper-V] VSS and File Copy daemons intermittently fails to start
    (LP: #1891224)
    - [Packaging] Bind hv_vss_daemon startup to hv_vss device
    - [Packaging] bind hv_fcopy_daemon startup to hv_fcopy device

  * alsa/hdmi: support nvidia mst hdmi/dp audio (LP: #1867704)
    - ALSA: hda - Rename snd_hda_pin_sense to snd_hda_jack_pin_sense
    - ALSA: hda - Add DP-MST jack support
    - ALSA: hda - Add DP-MST support for non-acomp codecs
    - ALSA: hda - Add DP-MST support for NVIDIA codecs
    - ALSA: hda: hdmi - fix regression in connect list handling
    - ALSA: hda: hdmi - fix kernel oops caused by invalid PCM idx
    - ALSA: hda: hdmi - preserve non-MST PCM routing for Intel platforms
    - ALSA: hda: hdmi - Keep old slot assignment behavior for Intel platforms
    - ALSA: hda - Fix DP-MST support for NVIDIA codecs

  * Focal update: v5.4.60 upstream stable release (LP: #1892899)
    - smb3: warn on confusing error scenario with sec=krb5
    - genirq/affinity: Make affinity setting if activated opt-in
    - genirq/PM: Always unlock IRQ descriptor in rearm_wake_irq()
    - PCI: hotplug: ACPI: Fix context refcounting in acpiphp_grab_context()
    - PCI: Add device even if driver attach failed
    - PCI: qcom: Define some PARF params needed for ipq8064 SoC
    - PCI: qcom: Add support for tx term offset for rev 2.1.0
    - btrfs: allow use of global block reserve for balance item deletion
    - btrfs: free anon block device right after subvolume deletion
    - btrfs: don't allocate anonymous block device for user invisible roots
    - btrfs: ref-verify: fix memory leak in add_block_entry
    - btrfs: stop incremening log_batch for the log root tree when syncing log
    - btrfs: remove no longer needed use of log_writers for the log root tree
    - btrfs: don't traverse into the seed devices in show_devname
    - btrfs: open device...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers